function dlgTrimFields() {
	$('.dlgField').each(function(index) {
		$(this).val($(this).val().trim());
	});
}

function dlgAddError(field, errMsg) {
	$('#' + field).addClass('ps-input-error');
	$('#' + field + 'Err').removeClass('d-none');
	$('#' + field + 'Err').html('<i class="fas fa-exclamation-triangle mr-1"></i>' + errMsg);
}

function dlgClearForm() {
	$('.dlgField').each(function(index) {
		$(this).val('');
		$(this).removeClass('ps-input-error');
		$('#' + $(this).attr('id') + 'Err').addClass('d-none');
	});
}

function dlgAfterSave(responseText, statusText, xhr, $form) {
	var xmlDoc = $.parseXML(responseText);
	var $xml = $(xmlDoc);

	$rows = ($xml.find('result').first().children());
	$row = $rows.first();

	for (var r=0; r<$rows.length; r++) {
		var field = $row.first().find('field').text();
		var error = $row.first().find('error').text();

		dlgAddError(field, error);
		
		if (r==0) {
			$('#' + field).focus();
		}
		
		$row = $row.next();
	}
}

function dlgOnKeyPressIntegerFilter(event) {
	$(this).removeClass('ps-input-error');
	$('#' + $(this).attr('id') + 'Err').addClass('d-none');

	ch = String.fromCharCode(event.which);

	if (ch >= '0' && ch <= '9') {
		return true;
	}
	
	return false;
}

function dlgOnKeyPressPhoneFilter(event) {
	$(this).removeClass('ps-input-error');
	$('#' + $(this).attr('id') + 'Err').addClass('d-none');

	ch = String.fromCharCode(event.which);

	if (ch >= '0' && ch <= '9') {
		return true;
	}
	else if (ch == ' ' || ch == '.' || ch == '-' || ch == '(' || ch == ')') {
		return true;
	}
	
	return false;
}

function dlgOnKeyPress(event) {
	$(this).removeClass('ps-input-error');
	$('#' + $(this).attr('id') + 'Err').addClass('d-none');
}

function dlgReadOnlyOnKeyDown(event) {
	// Only tab is allowed
	return event.which==9;
}

function setReadOnly(input) {
	$('#' + input).keydown(dlgReadOnlyOnKeyDown);
}
